# class JGSentStanza | Send stanza timeout info. More...
Full name | `TelEngine::JGSentStanza`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- JGSentStanza (const char* id, u_int64_t time, bool notif = false, bool ping = false, JGSession::Action action = JGSession::ActCount)
- inline u_int64_t timeout () const
- inline bool timeout (u_int64_t time) const
- inline bool notify () const
- inline bool ping () const
- inline JGSession::Action action () const

## Detailed Description

This class holds sent stanzas info used for timeout checking

JGSentStanza (const char* id, u_int64_t time, bool notif = false, bool ping = false, JGSession::Action action = JGSession::ActCount) | ### JGSentStanza

Constructor

Parameters:

id | The sent stanza's id
time | The sent time
notif | True to notify stanza timeout or response
ping | True if the sent stanza is a ping one
action | Optional sent stanza action

inline u_int64_t timeout () | ### timeout

[const]

Retrieve stanza timeout

Returns: Stanza timeout

inline bool timeout (u_int64_t time) | ### timeout

[const]

Check if this element timed out

Returns: True if timeout

inline bool notify () | ### notify

[const]

Check if timeout should be notified to sender

Returns: True to notify

inline bool ping () | ### ping

[const]

Check if the stanza is a ping one

Returns: True if the stanza is a ping one

inline JGSession::Action action () | ### action

[const]

Get the jingle action as enumeration

Returns: The jingle action as enumeration

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.